# frozen_string_literal: true

# configure Rspec here as necessary

ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('rails_test_app/config/environment.rb', __dir__)
require 'rspec/rails'
require 'capybara/rails'

Rails.backtrace_cleaner.remove_silencers!
# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }
RSpec.configure do |config|
  config.mock_with :rspec
  config.use_transactional_fixtures = true
  config.infer_base_class_for_anonymous_controllers = false
  config.order = 'random'
end
